#ifndef BIPlayerEvent_H
#define BIPlayerEvent_H

#include "BIEvent.h"
#include "IAstroNavPlayer.h"

namespace BAL {
    typedef AstroNav::IAstroNavPlayerPtr BIPlayerPtr;
    typedef AstroNav::IAstroNavPlayerArgs * BIPlayerArgs;

    class BIPlayerEvent : public BIEvent {
        public:
            virtual ~BIPlayerEvent() {};

            virtual BIEvent* clone() const = 0;

            virtual BIPlayerEvent* queryIsPlayerEvent() { return this; }

            enum Action { START, STOP };

            virtual BIPlayerEvent::Action action() const = 0;
            
            virtual BIPlayerPtr getPlayer() const = 0;

            virtual BIPlayerArgs getArgs() const = 0;
    };
}

#endif
